%define product   ZMySQLDA
%define version 5.4.1
%define release 1

%define rpm_prefix erp5
%define zope_home %{_prefix}/lib/erp5
%define software_home %{zope_home}/lib/python

Summary:   A Zope connector to Mysql
Name:      %{rpm_prefix}-%{product}
Version:   %{version}
Release:   %mkrel %{release}
License:   GPL
Group:     System/Servers
Source:    %{product}-%{version}.tar.bz2
URL:       http://www.erp5.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-rootdir
BuildArch: noarch
Requires:  %{rpm_prefix}-zope MySQL-python2.4

# Same problem as the Localizer one:
# (kevin) This "Provides:" statement don't resolve the conflit of pre-existing
# Localizer package in Mandriva 2006 repository. When you type "urpmi Localizer",
# nothing is prompt to ask you which version of Localizer you want to install
# (the mandriva one or the nexedi one): the mandriva version is automatically
# selected. To obtain the Nexedi's one, you have to type "urpmi erp5-Localizer".
# The solution could be to add a "Provides:  Localizer" statement in Mandriva
# Spec file.
Provides:  ZMySQLDA

#----------------------------------------------------------------------
%description
ZMySQLDA allows to quickly connect to Mysql with Zope.

#----------------------------------------------------------------------
%prep
%setup -q -c

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/
%py_compile %{buildroot}%{software_home}/Products

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%postun
if [ "$1" = "0" ] && [ "`%{_prefix}/bin/zopectl-erp5 status`" != "daemon manager not running" ] ; then
  service erp5 restart
fi

%files
%defattr(0644, zope, zope, 0755)
%doc %{product}/CHANGES.txt %{product}/DEPENDENCIES.txt %{product}/README.txt %{product}/VERSION.txt
%{software_home}/Products/*

#----------------------------------------------------------------------
%changelog
* Sat Apr 18 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.4.1-1nxd2009.0
- version 5.4.1

* Tue Mar  3 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.4-1nxd2009.0
- version 5.4

* Tue Nov  4 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.3-1nxd2008.1
- version 5.3

* Mon Oct 06 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 5.1.2-1nxd2008.1
- version 5.1.2

* Fri Mar 23 2008 Julien Gormotte <julien@nexedi.com> 2.0.9b2-12mdv2008.0
- Rebuild from the SVN repository (SVN rev: 20187)

* Mon Jan  7 2008 Julien Gormotte <julien@nexedi.com> 2.0.9b2-11nxd2008.0
- Changed the distsuffix to nxd
- Build from the SVN repository (SVN rev: 18630) instead of patching the official version

* Wed Aug  8 2007 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 2.0.9b2-10mdv2007.1
- add *.pyc

* Mon Jan 22 2007 Kevin Deldycke <kevin@nexedi.com> 2.0.9b2-9mdv2007.0
- Rebuild for Mandriva 2007.0

* Wed Feb 01 2006 Kevin Deldycke <kevin@nexedi.com> 2.0.9b2-8mdk
- Give ownership to zope

* Tue Jan 24 2006 Kevin Deldycke <kevin@nexedi.com> 2.0.9b2-7mdk
- Delete requirement of MySQL-Max server because the MySQL server can be located on another machine

* Wed Jan 05 2006 Kevin Deldycke <kevin@nexedi.com> 2.0.9b2-6mdk
- Merge nexedi 10.2 spec file with Mandriva 2006 spec file

* Tue Jun 15 2004 Sebastien Robin <seb@nexedi.com> 2.0.9b2-5mdk
- Added dependency with MySQL

* Wed Sep 12 2003 Sebastien Robin <seb@nexedi.com> 2.0.9b2-4mdk
- Make now signed rpm

* Wed Sep 05 2003 Sebastien Robin <seb@nexedi.com> 2.0.9b2-3mdk
- Change in the requires field "Zope" by "zope"

* Wed Sep 05 2003 Sebastien Robin <seb@nexedi.com> 2.0.9b2-2mdk
- Update spec in order to follows Mandrake Rules

* Mon Apr 28 2003 Sebastien Robin <seb@nexedi.com> 2.0.9b2-1nxd
- It was first made by converting a Debian Package. But since
we need to modify it, we needed to build by the rpm way.

* Wed Mar 23 2003 Sebastien Robin <seb@nexedi.com> 2.0.8-2nxd
- It was first made by converting a Debian Package. But since
we need to modify it, we needed to build by the rpm way.
